%define mod_name Thread-Queue
Name:           perl-%{mod_name}
Version:        3.13
Release:        4
Summary:        Thread-safe queues
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JD/JDHEDDEN/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make sed perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::More) >= 0.50
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
This module provides thread-safe FIFO queues that can be accessed safely by
any number of threads.

Any data types supported by threads::shared can be passed via queues:
    -Ordinary scalars
    -Array refs
    -Hash refs
    -Scalar refs
    -Objects based on the above
Ordinary scalars are added to queues as they are.

If not already thread-shared, the other complex data types will be cloned
(recursively, if needed, and including any blessings and read-only settings)
into thread-shared structures before being placed onto a queue.

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch
requires:	man

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n %{mod_name}-%{version}
sed -i -e '1 s|^#!/usr/bin/env perl|%(perl -MConfig -e 'print $Config{startperl}')|' examples/queue.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README
%{perl_vendorlib}/*

%files help
%doc Changes examples
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 huyubiao <huyubiao@huawei.com> - 3.13-4
- define mod_name to opitomize the specfile

* Fri Sep 27 2019 luhuaxin <luhuaxin@huawei.com> - 3.13-3
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: move README file to main package

* Mon Sep 16 2019 luhuaxin <luhuaxin@huawei.com> - 3.13-2
- Package init
